DTP-H1500 A PSP Testing Tool Firmware

Discussion in 'Sony Programming and Development' started by BooBoo02, Apr 30, 2015.

  1. Sk8er000

    Sk8er000 Rising Member

    Joined:
    Dec 4, 2014
    Messages:
    52
    Likes Received:
    2
  2. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    Get the one drive mirror from the same thread, it's inside and it's alive.

    EDIT: Here is the actual link to it http://1drv.ms/1J8lQvk

    On a sidenote, I just built a 6.60 Update DVD image for testingtool (DTP-H1500) which should work to update straight from 1.50+ I can't test it because I own a DTP-T1000 and this update will not run on it. (it detects the model flags since I am using the untouched testingtool updater binary and PSAR data).
    The very worse that can happen is the updater telling you the update data is corrupted and getting you back to vsh if it does not work)

    It's basically the very same update as the original (100% untouched) but changed from EBOOT.PBP to DVD images format.

    As a disclaimer though, I am not responsible to anything that happens to your unit, including getting on fire or suddenly starting to make coffee after applying this update.

    https://drive.google.com/open?id=0B2Q1l4QUcz47dWVzUXA0eHZ2ajg
     
    Last edited: Sep 15, 2016
  3. Sk8er000

    Sk8er000 Rising Member

    Joined:
    Dec 4, 2014
    Messages:
    52
    Likes Received:
    2
    Thank you! I'm waiting a second debug tool if it has an early fw I'll try your file as soon as it arrives
     
  4. fate6

    fate6 Haha, I killed a Pumpkin!

    Joined:
    May 16, 2013
    Messages:
    972
    Likes Received:
    348
    SONIC3D likes this.
  5. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    Out of curiosity, has anyone tested it? I can't test it myself (I only own development tools) or I would have.
     
  6. fate6

    fate6 Haha, I killed a Pumpkin!

    Joined:
    May 16, 2013
    Messages:
    972
    Likes Received:
    348
    Not that I know of and sadly I also lack the hardware to do it.
     
  7. XboxSurgeon

    XboxSurgeon Site Supporter Since 2013

    Joined:
    Nov 18, 2013
    Messages:
    2,109
    Likes Received:
    923
    What image are we talking about here? What did Math make?
     
  8. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    I transformed the 6.60 updater into a DVD image format so you can update to it directly without having to update to 4.00 first. The problem is I can't test if it works since I don't own a DTP-H1500.
     
  9. XboxSurgeon

    XboxSurgeon Site Supporter Since 2013

    Joined:
    Nov 18, 2013
    Messages:
    2,109
    Likes Received:
    923
    I have a test kit but mine is already at 6.60. I can test if you'd like?
     
  10. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    Sure, the worse that can happen is the updater throwing an error and getting you back to the vsh.

    You will probably need to downgrade to a lower firmware before attempting this though.
     
  11. XboxSurgeon

    XboxSurgeon Site Supporter Since 2013

    Joined:
    Nov 18, 2013
    Messages:
    2,109
    Likes Received:
    923
    What firmware would you suggest?
     
  12. fate6

    fate6 Haha, I killed a Pumpkin!

    Joined:
    May 16, 2013
    Messages:
    972
    Likes Received:
    348
    Anything under 6.60 will do, iirc the 6.20 TT-A should be around.

    EDIT: doesn't seem like I have it in my onedrive but 6.00 is in there at least.

    EDIT2!: The heck am I talking about! its the very first item on the list!
     
  13. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    Anything that's lower than 6.60, as far as I know there are even official downgrade updaters supplied within the updater packages (at least the ones downloaded on the devnet)
     
  14. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    Has anyone tested the 6.60 DVD update I made, I don't own a DTP-H1500 so I can't test it myself and the DTP-T1000 doesn't have a need for a 6.60 update in DVD format.
     
  15. wchdsk

    wchdsk Newly Registered

    Joined:
    Jan 11, 2017
    Messages:
    3
    Likes Received:
    0
    I had try to burn a 660 TTA disc and my tool (FW:660TTA) can read but show error code 80020148 when run the umd icon
    I don't know how to downgrade tool so i can't test more.
     
  16. mathieulh

    mathieulh Problem Solver

    Joined:
    Jan 26, 2006
    Messages:
    552
    Likes Received:
    179
    You need to use a downgrade PBP to go below 6.60, downgrade PBP or DVDs for DTP-H1500 were shipped in the SDK along with update ones, for instance in the 6.60 SDK Sony shipped a downgrade PBP to firmware 6.31.
     
  17. wchdsk

    wchdsk Newly Registered

    Joined:
    Jan 11, 2017
    Messages:
    3
    Likes Received:
    0
    I have no SDK . so
    But when I use PBPs, it can run but show your version is same,When use disc it show error code
     

Share This Page